#!/bin/sh

# Pre-Compile.sh
# MobileVLC
#
# Created by Pierre d'Herbemont on 6/27/10.
# Copyright 2010 __MyCompanyName__. All rights reserved.


pushd `dirname $0` > /dev/null
PROJECT_DIR=`pwd`
popd > /dev/null

echo "PROJECT DIR = $PROJECT_DIR"

VLC_ARCH="arm"
ARCH="arm"
VLC_SRC_DIR="$PROJECT_DIR/../../../.."

VLC_BUILD_DIR="$VLC_SRC_DIR/build-ios-OS"
VLC_INSTALL_DIR="$VLC_SRC_DIR/install-ios-OS"

VLC_CONTRIB_DIR="$VLC_SRC_DIR/extras/contrib/hosts/\$(VLC_ARCH)-apple-darwin10/ios"
LDFLAGS=""

echo "VLC_BUILD_DIR   = $VLC_BUILD_DIR"
echo "VLC_INSTALL_DIR = $VLC_INSTALL_DIR"
echo "SRC DIR         = $VLC_SRC_DIR"
echo "VLC_CONTRIB_DIR = $VLC_CONTRIB_DIR"

echo "=== Building for $ARCH ==="
echo "-"

echo "// This file is autogenerated by $(basename $0)\n\n" > $PROJECT_DIR/vlc-plugins.h
echo "// This file is autogenerated by $(basename $0)\n\n" > $PROJECT_DIR/vlc-plugins.xcconfig

VLC_MODULES=`find $VLC_BUILD_DIR/modules -name 'lib*_plugin.a'|grep -v stats|tr \\\\n \ `
#echo $VLC_MODULES
BUILTINS="const void *vlc_static_modules[] = {\n"; \

LDFLAGS=""
DEFINITION=""

for file in $VLC_MODULES; do
  name=`echo $file | sed 's/.*\.libs\/lib//' | sed 's/_plugin\.a//'`
  DEFINITION+="int vlc_entry__$name (int (*)(void *, void *, int, ...), void *);\n";
  BUILTINS+=" vlc_entry__$name,\n"
  LDFLAGS+="\$(VLC_INSTALL_DIR)/lib/vlc/plugins/lib${name}_plugin.a "
  echo $name
done;

BUILTINS="$BUILTINS NULL\n};\n"

echo -e "VLC_PLUGINS_LDFLAGS=$LDFLAGS" >> $PROJECT_DIR/vlc-plugins.xcconfig
echo -e "$DEFINITION\n$BUILTINS" >> $PROJECT_DIR/vlc-plugins.h
